import React, { HTMLProps } from "react";
import { formatSeconds } from "../../../DateUtils";
interface Props extends Pick<HTMLProps<HTMLSpanElement>, "aria-live" | "role"> {
    seconds: number;
    formatFn?: (seconds: number) => string;
}
/**
 * Simply converts seconds using formatFn.
 * Defaulting to formatSeconds().
 * Note that in this case hours will not be displayed, making it possible to see "82:29".
 */
export default class Clock extends React.Component<Props> {
    static defaultProps: {
        formatFn: typeof formatSeconds;
    };
    constructor(props: Props);
    shouldComponentUpdate(nextProps: Readonly<Props>): boolean;
    render(): JSX.Element;
}
export {};
