import { Room } from "matrix-js-sdk/src/matrix";
import React, { HTMLAttributes, ReactHTML } from "react";
declare type Props<T extends keyof ReactHTML> = HTMLAttributes<T> & {
    component?: T;
    room: Room;
};
export declare function RoomContextDetails<T extends keyof ReactHTML>({ room, component, ...other }: Props<T>): React.ReactElement<{
    "aria-label": string;
    defaultChecked?: boolean;
    defaultValue?: string | number | readonly string[];
    suppressContentEditableWarning?: boolean;
    suppressHydrationWarning?: boolean;
    accessKey?: string;
    className?: string;
    contentEditable?: "inherit" | (boolean | "false" | "true");
    contextMenu?: string;
    dir?: string;
    draggable?: boolean | "false" | "true";
    hidden?: boolean;
    id?: string;
    lang?: string;
    placeholder?: string;
    slot?: string;
    spellCheck?: boolean | "false" | "true";
    style?: React.CSSProperties;
    tabIndex?: number;
    title?: string;
    translate?: "yes" | "no";
    radioGroup?: string;
    role?: React.AriaRole;
    about?: string;
    datatype?: string;
    inlist?: any;
    prefix?: string;
    property?: string;
    resource?: string;
    typeof?: string;
    vocab?: string;
    autoCapitalize?: string;
    autoCorrect?: string;
    autoSave?: string;
    color?: string;
    itemProp?: string;
    itemScope?: boolean;
    itemType?: string;
    itemID?: string;
    itemRef?: string;
    results?: number;
    security?: string;
    unselectable?: "off" | "on";
    inputMode?: "search" | "numeric" | "none" | "url" | "text" | "decimal" | "email" | "tel";
    is?: string;
    'aria-activedescendant'?: string;
    'aria-atomic'?: boolean | "false" | "true";
    'aria-autocomplete'?: "inline" | "both" | "none" | "list";
    'aria-busy'?: boolean | "false" | "true";
    'aria-checked'?: boolean | "false" | "mixed" | "true";
    'aria-colcount'?: number;
    'aria-colindex'?: number;
    'aria-colspan'?: number;
    'aria-controls'?: string;
    'aria-current'?: boolean | "location" | "time" | "false" | "page" | "true" | "step" | "date";
    'aria-describedby'?: string;
    'aria-details'?: string;
    'aria-disabled'?: boolean | "false" | "true";
    'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup";
    'aria-errormessage'?: string;
    'aria-expanded'?: boolean | "false" | "true";
    'aria-flowto'?: string;
    'aria-grabbed'?: boolean | "false" | "true";
    'aria-haspopup'?: boolean | "grid" | "dialog" | "menu" | "false" | "tree" | "listbox" | "true";
    'aria-hidden'?: boolean | "false" | "true";
    'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling";
    'aria-keyshortcuts'?: string;
    'aria-labelledby'?: string;
    'aria-level'?: number;
    'aria-live'?: "off" | "assertive" | "polite";
    'aria-modal'?: boolean | "false" | "true";
    'aria-multiline'?: boolean | "false" | "true";
    'aria-multiselectable'?: boolean | "false" | "true";
    'aria-orientation'?: "horizontal" | "vertical";
    'aria-owns'?: string;
    'aria-placeholder'?: string;
    'aria-posinset'?: number;
    'aria-pressed'?: boolean | "false" | "mixed" | "true";
    'aria-readonly'?: boolean | "false" | "true";
    'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals";
    'aria-required'?: boolean | "false" | "true";
    'aria-roledescription'?: string;
    'aria-rowcount'?: number;
    'aria-rowindex'?: number;
    'aria-rowspan'?: number;
    'aria-selected'?: boolean | "false" | "true";
    'aria-setsize'?: number;
    'aria-sort'?: "none" | "other" | "ascending" | "descending";
    'aria-valuemax'?: number;
    'aria-valuemin'?: number;
    'aria-valuenow'?: number;
    'aria-valuetext'?: string;
    children?: React.ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string;
    };
    onCopy?: React.ClipboardEventHandler<T>;
    onCopyCapture?: React.ClipboardEventHandler<T>;
    onCut?: React.ClipboardEventHandler<T>;
    onCutCapture?: React.ClipboardEventHandler<T>;
    onPaste?: React.ClipboardEventHandler<T>;
    onPasteCapture?: React.ClipboardEventHandler<T>;
    onCompositionEnd?: React.CompositionEventHandler<T>;
    onCompositionEndCapture?: React.CompositionEventHandler<T>;
    onCompositionStart?: React.CompositionEventHandler<T>;
    onCompositionStartCapture?: React.CompositionEventHandler<T>;
    onCompositionUpdate?: React.CompositionEventHandler<T>;
    onCompositionUpdateCapture?: React.CompositionEventHandler<T>;
    onFocus?: React.FocusEventHandler<T>;
    onFocusCapture?: React.FocusEventHandler<T>;
    onBlur?: React.FocusEventHandler<T>;
    onBlurCapture?: React.FocusEventHandler<T>;
    onChange?: React.FormEventHandler<T>;
    onChangeCapture?: React.FormEventHandler<T>;
    onBeforeInput?: React.FormEventHandler<T>;
    onBeforeInputCapture?: React.FormEventHandler<T>;
    onInput?: React.FormEventHandler<T>;
    onInputCapture?: React.FormEventHandler<T>;
    onReset?: React.FormEventHandler<T>;
    onResetCapture?: React.FormEventHandler<T>;
    onSubmit?: React.FormEventHandler<T>;
    onSubmitCapture?: React.FormEventHandler<T>;
    onInvalid?: React.FormEventHandler<T>;
    onInvalidCapture?: React.FormEventHandler<T>;
    onLoad?: React.ReactEventHandler<T>;
    onLoadCapture?: React.ReactEventHandler<T>;
    onError?: React.ReactEventHandler<T>;
    onErrorCapture?: React.ReactEventHandler<T>;
    onKeyDown?: React.KeyboardEventHandler<T>;
    onKeyDownCapture?: React.KeyboardEventHandler<T>;
    onKeyPress?: React.KeyboardEventHandler<T>;
    onKeyPressCapture?: React.KeyboardEventHandler<T>;
    onKeyUp?: React.KeyboardEventHandler<T>;
    onKeyUpCapture?: React.KeyboardEventHandler<T>;
    onAbort?: React.ReactEventHandler<T>;
    onAbortCapture?: React.ReactEventHandler<T>;
    onCanPlay?: React.ReactEventHandler<T>;
    onCanPlayCapture?: React.ReactEventHandler<T>;
    onCanPlayThrough?: React.ReactEventHandler<T>;
    onCanPlayThroughCapture?: React.ReactEventHandler<T>;
    onDurationChange?: React.ReactEventHandler<T>;
    onDurationChangeCapture?: React.ReactEventHandler<T>;
    onEmptied?: React.ReactEventHandler<T>;
    onEmptiedCapture?: React.ReactEventHandler<T>;
    onEncrypted?: React.ReactEventHandler<T>;
    onEncryptedCapture?: React.ReactEventHandler<T>;
    onEnded?: React.ReactEventHandler<T>;
    onEndedCapture?: React.ReactEventHandler<T>;
    onLoadedData?: React.ReactEventHandler<T>;
    onLoadedDataCapture?: React.ReactEventHandler<T>;
    onLoadedMetadata?: React.ReactEventHandler<T>;
    onLoadedMetadataCapture?: React.ReactEventHandler<T>;
    onLoadStart?: React.ReactEventHandler<T>;
    onLoadStartCapture?: React.ReactEventHandler<T>;
    onPause?: React.ReactEventHandler<T>;
    onPauseCapture?: React.ReactEventHandler<T>;
    onPlay?: React.ReactEventHandler<T>;
    onPlayCapture?: React.ReactEventHandler<T>;
    onPlaying?: React.ReactEventHandler<T>;
    onPlayingCapture?: React.ReactEventHandler<T>;
    onProgress?: React.ReactEventHandler<T>;
    onProgressCapture?: React.ReactEventHandler<T>;
    onRateChange?: React.ReactEventHandler<T>;
    onRateChangeCapture?: React.ReactEventHandler<T>;
    onSeeked?: React.ReactEventHandler<T>;
    onSeekedCapture?: React.ReactEventHandler<T>;
    onSeeking?: React.ReactEventHandler<T>;
    onSeekingCapture?: React.ReactEventHandler<T>;
    onStalled?: React.ReactEventHandler<T>;
    onStalledCapture?: React.ReactEventHandler<T>;
    onSuspend?: React.ReactEventHandler<T>;
    onSuspendCapture?: React.ReactEventHandler<T>;
    onTimeUpdate?: React.ReactEventHandler<T>;
    onTimeUpdateCapture?: React.ReactEventHandler<T>;
    onVolumeChange?: React.ReactEventHandler<T>;
    onVolumeChangeCapture?: React.ReactEventHandler<T>;
    onWaiting?: React.ReactEventHandler<T>;
    onWaitingCapture?: React.ReactEventHandler<T>;
    onAuxClick?: React.MouseEventHandler<T>;
    onAuxClickCapture?: React.MouseEventHandler<T>;
    onClick?: React.MouseEventHandler<T>;
    onClickCapture?: React.MouseEventHandler<T>;
    onContextMenu?: React.MouseEventHandler<T>;
    onContextMenuCapture?: React.MouseEventHandler<T>;
    onDoubleClick?: React.MouseEventHandler<T>;
    onDoubleClickCapture?: React.MouseEventHandler<T>;
    onDrag?: React.DragEventHandler<T>;
    onDragCapture?: React.DragEventHandler<T>;
    onDragEnd?: React.DragEventHandler<T>;
    onDragEndCapture?: React.DragEventHandler<T>;
    onDragEnter?: React.DragEventHandler<T>;
    onDragEnterCapture?: React.DragEventHandler<T>;
    onDragExit?: React.DragEventHandler<T>;
    onDragExitCapture?: React.DragEventHandler<T>;
    onDragLeave?: React.DragEventHandler<T>;
    onDragLeaveCapture?: React.DragEventHandler<T>;
    onDragOver?: React.DragEventHandler<T>;
    onDragOverCapture?: React.DragEventHandler<T>;
    onDragStart?: React.DragEventHandler<T>;
    onDragStartCapture?: React.DragEventHandler<T>;
    onDrop?: React.DragEventHandler<T>;
    onDropCapture?: React.DragEventHandler<T>;
    onMouseDown?: React.MouseEventHandler<T>;
    onMouseDownCapture?: React.MouseEventHandler<T>;
    onMouseEnter?: React.MouseEventHandler<T>;
    onMouseLeave?: React.MouseEventHandler<T>;
    onMouseMove?: React.MouseEventHandler<T>;
    onMouseMoveCapture?: React.MouseEventHandler<T>;
    onMouseOut?: React.MouseEventHandler<T>;
    onMouseOutCapture?: React.MouseEventHandler<T>;
    onMouseOver?: React.MouseEventHandler<T>;
    onMouseOverCapture?: React.MouseEventHandler<T>;
    onMouseUp?: React.MouseEventHandler<T>;
    onMouseUpCapture?: React.MouseEventHandler<T>;
    onSelect?: React.ReactEventHandler<T>;
    onSelectCapture?: React.ReactEventHandler<T>;
    onTouchCancel?: React.TouchEventHandler<T>;
    onTouchCancelCapture?: React.TouchEventHandler<T>;
    onTouchEnd?: React.TouchEventHandler<T>;
    onTouchEndCapture?: React.TouchEventHandler<T>;
    onTouchMove?: React.TouchEventHandler<T>;
    onTouchMoveCapture?: React.TouchEventHandler<T>;
    onTouchStart?: React.TouchEventHandler<T>;
    onTouchStartCapture?: React.TouchEventHandler<T>;
    onPointerDown?: React.PointerEventHandler<T>;
    onPointerDownCapture?: React.PointerEventHandler<T>;
    onPointerMove?: React.PointerEventHandler<T>;
    onPointerMoveCapture?: React.PointerEventHandler<T>;
    onPointerUp?: React.PointerEventHandler<T>;
    onPointerUpCapture?: React.PointerEventHandler<T>;
    onPointerCancel?: React.PointerEventHandler<T>;
    onPointerCancelCapture?: React.PointerEventHandler<T>;
    onPointerEnter?: React.PointerEventHandler<T>;
    onPointerEnterCapture?: React.PointerEventHandler<T>;
    onPointerLeave?: React.PointerEventHandler<T>;
    onPointerLeaveCapture?: React.PointerEventHandler<T>;
    onPointerOver?: React.PointerEventHandler<T>;
    onPointerOverCapture?: React.PointerEventHandler<T>;
    onPointerOut?: React.PointerEventHandler<T>;
    onPointerOutCapture?: React.PointerEventHandler<T>;
    onGotPointerCapture?: React.PointerEventHandler<T>;
    onGotPointerCaptureCapture?: React.PointerEventHandler<T>;
    onLostPointerCapture?: React.PointerEventHandler<T>;
    onLostPointerCaptureCapture?: React.PointerEventHandler<T>;
    onScroll?: React.UIEventHandler<T>;
    onScrollCapture?: React.UIEventHandler<T>;
    onWheel?: React.WheelEventHandler<T>;
    onWheelCapture?: React.WheelEventHandler<T>;
    onAnimationStart?: React.AnimationEventHandler<T>;
    onAnimationStartCapture?: React.AnimationEventHandler<T>;
    onAnimationEnd?: React.AnimationEventHandler<T>;
    onAnimationEndCapture?: React.AnimationEventHandler<T>;
    onAnimationIteration?: React.AnimationEventHandler<T>;
    onAnimationIterationCapture?: React.AnimationEventHandler<T>;
    onTransitionEnd?: React.TransitionEventHandler<T>;
    onTransitionEndCapture?: React.TransitionEventHandler<T>;
}, string | React.JSXElementConstructor<any>>;
export {};
