import React from 'react';
import { ISearchResults } from 'matrix-js-sdk/src/@types/search';
import type { Room } from "matrix-js-sdk/src/models/room";
import { E2EStatus } from '../../../utils/ShieldUtils';
import { IOOBData } from '../../../stores/ThreepidInviteStore';
import { SearchScope } from './SearchBar';
import { RightPanelPhases } from '../../../stores/right-panel/RightPanelStorePhases';
import RoomContext from "../../../contexts/RoomContext";
import { Call } from "../../../models/Call";
export interface ISearchInfo {
    searchId: number;
    roomId?: string;
    term: string;
    scope: SearchScope;
    promise: Promise<ISearchResults>;
    abortController?: AbortController;
    inProgress?: boolean;
    count?: number;
}
export interface IProps {
    room: Room;
    oobData?: IOOBData;
    inRoom: boolean;
    onSearchClick: (() => void) | null;
    onInviteClick: (() => void) | null;
    onForgetClick: (() => void) | null;
    onAppsClick: (() => void) | null;
    e2eStatus: E2EStatus;
    appsShown: boolean;
    searchInfo?: ISearchInfo;
    excludedRightPanelPhaseButtons?: Array<RightPanelPhases>;
    showButtons?: boolean;
    enableRoomOptionsMenu?: boolean;
    viewingCall: boolean;
    activeCall: Call | null;
}
interface IState {
    contextMenuPosition?: DOMRect;
    rightPanelOpen: boolean;
}
export default class RoomHeader extends React.Component<IProps, IState> {
    static defaultProps: {
        editing: boolean;
        inRoom: boolean;
        excludedRightPanelPhaseButtons: any[];
        showButtons: boolean;
        enableRoomOptionsMenu: boolean;
    };
    static contextType: React.Context<import("../../structures/RoomView").IRoomState>;
    context: React.ContextType<typeof RoomContext>;
    private readonly client;
    constructor(props: IProps, context: IState);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onRightPanelStoreUpdate;
    private onRoomStateEvents;
    private onNotificationUpdate;
    private rateLimitedUpdate;
    private onContextMenuOpenClick;
    private onContextMenuCloseClick;
    private onHideCallClick;
    private renderButtons;
    private renderName;
    render(): JSX.Element;
}
export {};
