import React from 'react';
import { IMyDevice } from "matrix-js-sdk/src/client";
import { CrossSigningInfo } from "matrix-js-sdk/src/crypto/CrossSigning";
import MatrixClientContext from '../../../contexts/MatrixClientContext';
interface IProps {
    className?: string;
}
interface IState {
    devices: IMyDevice[];
    crossSigningInfo?: CrossSigningInfo;
    deviceLoadError?: string;
    selectedDevices: string[];
    deleting?: boolean;
}
export default class DevicesPanel extends React.Component<IProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src/client").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    private unmounted;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onDevicesUpdated;
    private loadDevices;
    private deviceCompare;
    private isDeviceVerified;
    private onDeviceSelectionToggled;
    private selectAll;
    private deselectAll;
    private onDeleteClick;
    private renderDevice;
    render(): JSX.Element;
}
export {};
