import React from 'react';
import { IPusher } from 'matrix-js-sdk/src/@types/PushRules';
import { LocalNotificationSettings } from 'matrix-js-sdk/src/@types/local_notifications';
import { DevicesDictionary, DeviceSecurityVariation, ExtendedDevice } from './types';
import { DevicesState } from './useOwnDevices';
interface Props {
    devices: DevicesDictionary;
    pushers: IPusher[];
    localNotificationSettings: Map<string, LocalNotificationSettings>;
    expandedDeviceIds: ExtendedDevice['device_id'][];
    signingOutDeviceIds: ExtendedDevice['device_id'][];
    selectedDeviceIds: ExtendedDevice['device_id'][];
    filter?: DeviceSecurityVariation;
    onFilterChange: (filter: DeviceSecurityVariation | undefined) => void;
    onDeviceExpandToggle: (deviceId: ExtendedDevice['device_id']) => void;
    onSignOutDevices: (deviceIds: ExtendedDevice['device_id'][]) => void;
    saveDeviceName: DevicesState['saveDeviceName'];
    onRequestDeviceVerification?: (deviceId: ExtendedDevice['device_id']) => void;
    setPushNotifications: (deviceId: string, enabled: boolean) => Promise<void>;
    setSelectedDeviceIds: (deviceIds: ExtendedDevice['device_id'][]) => void;
    supportsMSC3881?: boolean | undefined;
}
/**
 * Filtered list of devices
 * Sorted by latest activity descending
 */
export declare const FilteredDeviceList: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLDivElement>>;
export {};
