import { IEventRelation, UploadProgress } from "matrix-js-sdk/src/matrix";
import { IEncryptedFile } from "../customisations/models/IMediaEventContent";
export declare class RoomUpload {
    readonly roomId: string;
    readonly fileName: string;
    readonly relation?: IEventRelation;
    fileSize: number;
    readonly abortController: AbortController;
    promise: Promise<{
        url?: string;
        file?: IEncryptedFile;
    }>;
    private uploaded;
    constructor(roomId: string, fileName: string, relation?: IEventRelation, fileSize?: number);
    onProgress(progress: UploadProgress): void;
    abort(): void;
    get cancelled(): boolean;
    get total(): number;
    get loaded(): number;
}
