import { IEncryptedFile, MsgType } from "matrix-js-sdk/src/matrix";
/**
 * @param {string} mxc MXC URL of the file
 * @param {string} mimetype
 * @param {number} duration Duration in milliseconds
 * @param {number} size
 * @param {number[]} [waveform]
 * @param {IEncryptedFile} [file] Encrypted file
 */
export declare const createVoiceMessageContent: (mxc: string, mimetype: string, duration: number, size: number, file?: IEncryptedFile, waveform?: number[]) => {
    body: string;
    msgtype: MsgType;
    url: string;
    file: IEncryptedFile;
    info: {
        duration: number;
        mimetype: string;
        size: number;
    };
    "org.matrix.msc1767.text": string;
    "org.matrix.msc1767.file": {
        url: string;
        file: IEncryptedFile;
        name: string;
        mimetype: string;
        size: number;
    };
    "org.matrix.msc1767.audio": {
        duration: number;
        waveform: number[];
    };
    "org.matrix.msc3245.voice": {};
};
