import { MatrixClient } from "matrix-js-sdk/src/client";
import BasePlatform from "../../BasePlatform";
import { IConfigOptions } from "../../IConfigOptions";
export declare type DeviceClientInformation = {
    name?: string;
    version?: string;
    url?: string;
};
export declare const getClientInformationEventType: (deviceId: string) => string;
/**
 * Record extra client information for the current device
 * https://github.com/vector-im/element-meta/blob/develop/spec/matrix_client_information.md
 */
export declare const recordClientInformation: (matrixClient: MatrixClient, sdkConfig: IConfigOptions, platform: BasePlatform) => Promise<void>;
/**
 * Remove extra client information
 * @todo(kerrya) revisit after MSC3391: account data deletion is done
 * (PSBE-12)
 */
export declare const removeClientInformation: (matrixClient: MatrixClient) => Promise<void>;
export declare const getDeviceClientInformation: (matrixClient: MatrixClient, deviceId: string) => DeviceClientInformation;
