import { MatrixClient, Room, RoomMember } from "matrix-js-sdk/src/matrix";
import { TypedEventEmitter } from "matrix-js-sdk/src/models/typed-event-emitter";
import { IDestroyable } from "../../utils/IDestroyable";
import { VoiceBroadcastRecordingsStore } from "../stores/VoiceBroadcastRecordingsStore";
declare type VoiceBroadcastPreRecordingEvent = "dismiss";
interface EventMap {
    "dismiss": (voiceBroadcastPreRecording: VoiceBroadcastPreRecording) => void;
}
export declare class VoiceBroadcastPreRecording extends TypedEventEmitter<VoiceBroadcastPreRecordingEvent, EventMap> implements IDestroyable {
    room: Room;
    sender: RoomMember;
    private client;
    private recordingsStore;
    constructor(room: Room, sender: RoomMember, client: MatrixClient, recordingsStore: VoiceBroadcastRecordingsStore);
    start: () => Promise<void>;
    cancel: () => void;
    destroy(): void;
}
export {};
