import { MatrixClient, MatrixEvent } from "matrix-js-sdk/src/matrix";
import { TypedEventEmitter } from "matrix-js-sdk/src/models/typed-event-emitter";
import { VoiceBroadcastInfoState } from "..";
import { IDestroyable } from "../../utils/IDestroyable";
export declare enum VoiceBroadcastRecordingEvent {
    StateChanged = "liveness_changed",
    TimeLeftChanged = "time_left_changed"
}
interface EventMap {
    [VoiceBroadcastRecordingEvent.StateChanged]: (state: VoiceBroadcastInfoState) => void;
    [VoiceBroadcastRecordingEvent.TimeLeftChanged]: (timeLeft: number) => void;
}
export declare class VoiceBroadcastRecording extends TypedEventEmitter<VoiceBroadcastRecordingEvent, EventMap> implements IDestroyable {
    readonly infoEvent: MatrixEvent;
    private client;
    private state;
    private recorder;
    private sequence;
    private dispatcherRef;
    private chunkEvents;
    private chunkRelationHelper;
    private maxLength;
    private timeLeft;
    constructor(infoEvent: MatrixEvent, client: MatrixClient, initialState?: VoiceBroadcastInfoState);
    private initialiseChunkEventRelation;
    private onChunkEvent;
    private setInitialStateFromInfoEvent;
    getTimeLeft(): number;
    private setTimeLeft;
    start(): Promise<void>;
    stop(): Promise<void>;
    pause(): Promise<void>;
    resume(): Promise<void>;
    toggle: () => Promise<void>;
    getState(): VoiceBroadcastInfoState;
    private getRecorder;
    destroy(): Promise<void>;
    private onBeforeRedaction;
    private onAction;
    private setState;
    private onCurrentChunkLengthUpdated;
    private onChunkRecorded;
    private uploadFile;
    private sendVoiceMessage;
    private sendInfoStateEvent;
    private stopRecorder;
}
export {};
