import { MatrixClient, MatrixEvent } from "matrix-js-sdk/src/matrix";
import { TypedEventEmitter } from "matrix-js-sdk/src/models/typed-event-emitter";
import { VoiceBroadcastRecording } from "..";
export declare enum VoiceBroadcastRecordingsStoreEvent {
    CurrentChanged = "current_changed"
}
interface EventMap {
    [VoiceBroadcastRecordingsStoreEvent.CurrentChanged]: (recording: VoiceBroadcastRecording) => void;
}
/**
 * This store provides access to the current and specific Voice Broadcast recordings.
 */
export declare class VoiceBroadcastRecordingsStore extends TypedEventEmitter<VoiceBroadcastRecordingsStoreEvent, EventMap> {
    private current;
    private recordings;
    constructor();
    setCurrent(current: VoiceBroadcastRecording): void;
    getCurrent(): VoiceBroadcastRecording;
    hasCurrent(): boolean;
    clearCurrent(): void;
    getByInfoEvent(infoEvent: MatrixEvent, client: MatrixClient): VoiceBroadcastRecording;
    private onCurrentStateChanged;
    private static readonly cachedInstance;
    /**
     * TODO Michael W: replace when https://github.com/matrix-org/matrix-react-sdk/pull/9293 has been merged
     */
    static instance(): VoiceBroadcastRecordingsStore;
}
export {};
